Package org.bukkit.event

# Enum Class Event.Result

java.lang.Object
java.lang.Enum<Event.Result>
org.bukkit.event.Event.Result

All Implemented Interfaces:
  `Serializable`, `Comparable<Event.Result>`, `Constable`

Enclosing class:
  Event

public static enum Event.Result extends Enum<Event.Result>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALLOW`
Allow / Force the event.
`DEFAULT`
Neither deny nor allow the event.
`DENY`
Deny the event.

## Method Summary

Modifier and Type
Method
Description
`static Event.Result`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Event.Result[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DENY

public static final Event.Result DENY
Deny the event. Depending on the event, the action indicated by the event will either not take place or will be reverted. Some actions may not be denied.

### DEFAULT

public static final Event.Result DEFAULT
Neither deny nor allow the event. The server will proceed with its normal handling.

### ALLOW

public static final Event.Result ALLOW
Allow / Force the event. The action indicated by the event will take place if possible, even if the server would not normally allow the action. Some actions may not be allowed.

## Method Details

### values

public static Event.Result[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Event.Result valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null